package com.qmth.teachcloud.common.bean.dto.excel;

import com.qmth.teachcloud.common.annotation.ExcelImportTempleteVaild;
import com.qmth.teachcloud.common.annotation.ExcelNote;
import com.qmth.teachcloud.common.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 基础课程数据导入类
 * @Author: CaoZixuan
 * @Date: 2021-08-06
 */
@ExcelImportTempleteVaild(value = true)
public class BasicCourseImportDto implements Serializable {

    @ExcelNote(value = "课程名称")
    @ExcelProperty(name = "课程名称", width = 30, index = 1)
    @NotNull
    private String courseName;

    @ExcelNote(value = "课程代码")
    @ExcelProperty(name = "课程代码", width = 30, index = 2)
    @NotNull
    private String courseCode;

    @ExcelNote(value = "开课学院")
    @ExcelProperty(name = "开课学院", width = 30, index = 3)
    @NotNull
    private String teachingRoomName;

    @ApiModelProperty("行索引")
    private Integer rowIndex;

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getTeachingRoomName() {
        return teachingRoomName;
    }

    public void setTeachingRoomName(String teachingRoomName) {
        this.teachingRoomName = teachingRoomName;
    }

    public Integer getRowIndex() {
        return rowIndex;
    }

    public void setRowIndex(Integer rowIndex) {
        this.rowIndex = rowIndex;
    }
}
